uaCSTA - Hang up a Call
Hang up a call by uaCSTA control.
Prerequisites
Cloud One Business Communication Suite supports uaCSTA connection with specific Yealink and Fanvil IP phones to realize uaCSTA control feature.
To perform the uaCSTA control operations for IP phones, make sure the following requirements are met.
- Use a specific Yealink or Fanvil IP phone that work for Cloud One uaCSTA.
The uaCSTA feature on the IP phone and the PBX are both enabled. To enable the uaCSTA feature, see the following topics:
Request URL
POST {base_url}/{api_path}/uacsta_call/hangup?access_token={access_token}
Request parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| extension | Yes | String | The extension that you want to control. |
| call_id | Yes | String | The unique ID of each uaCSTA call. Note: You can obtain the call ID of a uaCSTA call from (30020) uaCSTA Call Report event. |
| ip_address | Yes | String | The IP address and SIP port of the IP phone where the extension is registered. E.g: 192.168.5.2:5060. |
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
Examples
Request example
Hang up the call of extension 2000 by uaCSTA control.
POST /openapi/v1.0/uacsta_call/hangup?access_token=Ey7Ty0kL7bpOfPHgpJH2Qq4ozMvU4IEs HTTP/1.1
Host: 192.168.5.150:8088
Content-Type: application/json
{
"extension": "2000",
"call_id": "32786",
"ip_address": "192.168.28.2:5060"
}Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS"
}